PCI_FIND_NEXT_HT_CAP(9)

NAME
pci_find_next_ht_capability - query a device's Hypertransport capabilities

SYNOPSIS

int pci_find_next_ht_capability(struct pci_dev * dev, int pos, int ht_cap);

ARGUMENTS

dev
    PCI device to query

pos
    Position from which to continue searching

ht_cap
    Hypertransport capability code

DESCRIPTION

To be used in conjunction with pci_find_ht_capability to search for all capabilities matching ht_cap. pos should always be a value returned from pci_find_ht_capability.

NB. To be 100% safe against broken PCI devices, the caller should take steps to avoid an infinite loop.

COPYRIGHT